Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxParametersImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.ebusiness.tax.TaxParametersImpl

public class TaxParametersImpl
extends BelongingImpl
implements TaxParameters, java.lang.Cloneable

Currently defined locations include: ShipTo ShipFrom OrderAcceptance OrderOrigin Currently defined order-based attributes include: (listed with "name" (type) (default) explanation. None are required.) freight (com.beasys.commerce.axiom.units.Price)(0) commit (Boolean) (True) store the tax in the audit file or not credit (Boolean) (False) for credit transactions titlePassage(Char) (D)-O for point of Origin, D for point of Delivery date (java.sql.Date) (current system Date) date of tax taxType (Character) (S) S for sales tax U for use tax companyID (String) (PlaceHolder) The name of the source company for the transaction overrideTax (Double) (0) The override tax rate as a fraction, 0.0 means no override

See Also:
  `TaxParameters`, `TaxParametersHome`, Serialized Form

Field Summary
`java.util.Map` | `location` Containment: By Value Multiplicity: 0:N Interface: java.util.Map
`java.util.TreeMap` | `orderAttribs`

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxParametersImpl()`

Method Summary
`void` | `addAttrib(java.lang.String name, java.lang.Object obj)` adds an attribute to the attributes in TaxParameter.
`void` | `clearLocationMap()` Removes all mappings from this map (optional operation).
`int` | `compareTo(java.lang.Object o)` Compare this belonging to another
`boolean` | `equalsLocationMap(java.lang.Object object)` Compares the specified object with this map for equality.
`java.lang.Object` | `getAttrib(java.lang.String name)` returns an object that has the given string as attirbute.
`com.beasys.commerce.axiom.contact.Address` | `getLocation(java.lang.Object key)` Returns the value to which this map maps the specified key.
`java.util.Map` | `getLocationMap()` Returns a deep copy of the entire collection
`java.util.TreeMap` | `getOrderAttribs()` For ease of use, in case the same parameters need to be reused.
`java.lang.String` | `interfaceName()` interfaceName() returns the unqualified name of the interface from the UML model
`boolean` | `isLocationMapEmpty()` Returns true if this map contains no key-value mappings.
`boolean` | `locationMapContainsKey(java.lang.Object key)` Returns true if this map contains a mapping for the specified key.
`boolean` | `locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)` Returns true if this map maps one or more keys to the specified value.
`java.util.Set` | `locationMapEntrySet()` Returns a (deep copy) set view of the mappings contained in this map.
`int` | `locationMapHashCode()` Returns the hash code value for this map.
`java.util.Iterator` | `locationMapIterator()` Returns a (shallow) iterator for this map
`java.util.Set` | `locationMapKeySet()` Returns a (deep copy) set view of the keys contained in this map.
`int` | `locationMapSize()` Returns the number of key-value mappings in this map.
`java.util.Collection` | `locationMapValues()` Returns a (deep copy) collection view of the values contained in this map.
`com.beasys.commerce.axiom.contact.Address` | `putLocation(java.lang.Object key, com.beasys.commerce.axiom.contact.Address element)` Associates the specified value with the specified key in this map (optional operation).
`void` | `putLocationMap(java.util.Map map)` Copies all of the mappings from the specified map to this map (optional operation).
`com.beasys.commerce.axiom.contact.Address` | `removeLocation(java.lang.Object key)` Removes the mapping for this key from this map if present (optional operation).
`void` | `setByValue(Belonging value)` It is possible to call set-by-value with a superclass.
`void` | `setLocationMap(java.util.Map map)` Sets the entire collection
`void` | `setOrderAttribs(java.util.TreeMap orderAttribs)` For ease of use, if desired, the entire set of attributes may be set.
`Belonging` | `value()` value() is a more typesafe implementation of clone()

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### orderAttribs

    public java.util.TreeMap orderAttribs

### location

    public java.util.Map location

  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Map

Constructor Detail

### TaxParametersImpl

    public TaxParametersImpl()

Method Detail

### getLocationMap

    public java.util.Map getLocationMap()

  Returns a deep copy of the entire collection
  Specified by:
    getLocationMap in interface TaxParameters

### setLocationMap

    public void setLocationMap(java.util.Map map)

  Sets the entire collection
  Specified by:
    setLocationMap in interface TaxParameters

### locationMapIterator

    public java.util.Iterator locationMapIterator()

  Returns a (shallow) iterator for this map
  Specified by:
    locationMapIterator in interface TaxParameters

### clearLocationMap

    public void clearLocationMap()

  Removes all mappings from this map (optional operation).
  Specified by:
    clearLocationMap in interface TaxParameters

### locationMapContainsKey

    public boolean locationMapContainsKey(java.lang.Object key)

  Returns true if this map contains a mapping for the specified key.
  Specified by:
    locationMapContainsKey in interface TaxParameters

### locationMapContainsValue

    public boolean locationMapContainsValue(com.beasys.commerce.axiom.contact.Address element)

  Returns true if this map maps one or more keys to the specified value.
  Specified by:
    locationMapContainsValue in interface TaxParameters

### locationMapEntrySet

    public java.util.Set locationMapEntrySet()

  Returns a (deep copy) set view of the mappings contained in this map.
  Specified by:
    locationMapEntrySet in interface TaxParameters

### equalsLocationMap

    public boolean equalsLocationMap(java.lang.Object object)

  Compares the specified object with this map for equality.
  Specified by:
    equalsLocationMap in interface TaxParameters

### getLocation

    public com.beasys.commerce.axiom.contact.Address getLocation(java.lang.Object key)

  Returns the value to which this map maps the specified key.
  Specified by:
    getLocation in interface TaxParameters

### locationMapHashCode

    public int locationMapHashCode()

  Returns the hash code value for this map.
  Specified by:
    locationMapHashCode in interface TaxParameters

### isLocationMapEmpty

    public boolean isLocationMapEmpty()

  Returns true if this map contains no key-value mappings.
  Specified by:
    isLocationMapEmpty in interface TaxParameters

### locationMapKeySet

    public java.util.Set locationMapKeySet()

  Returns a (deep copy) set view of the keys contained in this map.
  Specified by:
    locationMapKeySet in interface TaxParameters

### putLocation

    public com.beasys.commerce.axiom.contact.Address putLocation(java.lang.Object key,
                                                                 com.beasys.commerce.axiom.contact.Address element)

  Associates the specified value with the specified key in this map (optional operation).
  Specified by:
    putLocation in interface TaxParameters

### putLocationMap

    public void putLocationMap(java.util.Map map)

  Copies all of the mappings from the specified map to this map (optional operation).
  Specified by:
    putLocationMap in interface TaxParameters

### removeLocation

    public com.beasys.commerce.axiom.contact.Address removeLocation(java.lang.Object key)

  Removes the mapping for this key from this map if present (optional operation).
  Specified by:
    removeLocation in interface TaxParameters

### locationMapSize

    public int locationMapSize()

  Returns the number of key-value mappings in this map.
  Specified by:
    locationMapSize in interface TaxParameters

### locationMapValues

    public java.util.Collection locationMapValues()

  Returns a (deep copy) collection view of the values contained in this map.
  Specified by:
    locationMapValues in interface TaxParameters

### value

    public Belonging value()

  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance

### interfaceName

    public java.lang.String interfaceName()

  interfaceName() returns the unqualified name of the interface from the UML model

  Returns:
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class BelongingImpl

### addAttrib

    public void addAttrib(java.lang.String name,
                          java.lang.Object obj)

  adds an attribute to the attributes in TaxParameter. If a map does not exist, it will be created. Address attributes should be set via the accessors to the location collection.
  Specified by:
    addAttrib in interface TaxParameters

### getAttrib

    public java.lang.Object getAttrib(java.lang.String name)

  returns an object that has the given string as attirbute. If the attribute does not exist, then it returns null.
  Specified by:
    getAttrib in interface TaxParameters

### setOrderAttribs

    public void setOrderAttribs(java.util.TreeMap orderAttribs)

  For ease of use, if desired, the entire set of attributes may be set.
  Specified by:
    setOrderAttribs in interface TaxParameters

### getOrderAttribs

    public java.util.TreeMap getOrderAttribs()

  For ease of use, in case the same parameters need to be reused. Note that the locations collection is not included in the treemap returned.
  Specified by:
    getOrderAttribs in interface TaxParameters

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved